Unity Grid is broken for multi-monitor setups

Bug #709221 reported by Nicholas Christian Langkjær Ipsen on 2011-01-28
68
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Sam Spilsbury
compiz (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

On multi-monitor setups, Unity Grid only works on one half of the right- and leftmost monitors. It should detect the borders between the monitors and expand windows accordingly.

Ctrl+Alt+NumPad already adheres to multi-monitor setups, so it is not impossible.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.16-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,imgjpeg,text,move,regex,place,snap,mousepoll,grid,imgsvg,gnomecompat,imgpng,vpswitch,wall,resize,session,animation,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
Date: Fri Jan 28 13:48:57 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110127)
ProcEnviron:
 LANGUAGE=en_DK:en
 LANG=en_DK.UTF-8
 LC_MESSAGES=en_DK.utf8
 SHELL=/bin/bash
SourcePackage: unity

Didier Roche (didrocks) on 2011-02-03
affects: unity (Ubuntu) → compiz (Ubuntu)
Jay Taoko (jaytaoko) on 2011-02-09
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Jason Smith (jassmith)
description: updated
description: updated
description: updated
Changed in unity:
assignee: Jason Smith (jassmith) → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.4.6
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-02-21
Changed in unity (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-02-24
Changed in compiz (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released

Still not fixed in Unity 3.4.6.

Changed in unity:
status: Fix Released → Triaged
Changed in compiz (Ubuntu):
status: Fix Released → Triaged
Changed in unity (Ubuntu):
status: Fix Released → Triaged
Didier Roche (didrocks) on 2011-02-28
Changed in unity:
milestone: 3.4.6 → 3.8
Changed in unity:
status: Triaged → Fix Committed
Changed in compiz (Ubuntu):
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
status: Fix Committed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4git20110322-0ubuntu1

---------------
compiz (1:0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bug fix snapshot:
    - Application windows can sometimes fail to display and will
      mask regions of the screen (LP: #709461)
    - Compiz switcher Alt-Tab order is not predictable - should
      maintain LIFO ordering in application switcher (LP: #175874)
    - after compiz crashed, gnome-panel isn't mapped again (LP: #711378)
    - invisible windows border problem (LP: #710271)
    - Compiz thinks you are clicking in an edge window when you
      are not (LP: #734250)
    - Add test case for invisible window regressions (LP: #736876)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - When windows open for the first time they should not hide (LP: #723878)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Pixmaps trashed during animations when window is unmapped (LP: #733331)
    - Windows have blank decorations when rapidly closing and
      reopening (LP: #733328)
    - Unity is not restored on unity/compiz crash: compiz doesn't register
      properly with gnome-session (LP: #716462)
  * remove the patch taken from upstream
  * refresh u-w-d patch with latest upstream work
  * debian/compiz-core.install:
    - image move to the final destination
  * debian/patches/100_bump_core.h.patch:
    - bump for ABI breakage
  * debian/compiz-decorator:
    - use gtk-window-decorator and not unity-window-decorator as it's really
      crashy for now (will probably redo an upload tomorrow with a fixed
      decorator)
 -- Didier Roche <email address hidden> Tue, 22 Mar 2011 21:45:34 +0100

Changed in compiz (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-03-22
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: In Progress → Fix Released

It still doesn't work for me. I use the proprietary nVidia drivers. Just to make it clear, I've recorded a video. In the last part of the video, you see me using the ctrl+alt+NumPad shortcuts to adjust the window size.

Changed in unity:
status: Fix Released → In Progress
Changed in compiz (Ubuntu):
status: Fix Released → In Progress
Changed in unity (Ubuntu):
status: Fix Released → In Progress
Changed in unity:
status: In Progress → Confirmed
Changed in compiz (Ubuntu):
status: In Progress → Confirmed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
status: Fix Committed → Confirmed
Didier Roche (didrocks) on 2011-03-28
Changed in unity:
milestone: 3.8 → 3.8.2
Changed in unity:
status: Confirmed → Fix Committed
Didier Roche (didrocks) on 2011-04-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package unity - 3.8.2-0ubuntu1

---------------
unity (3.8.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::_List_node_base::_M_hook()
      (LP: #711916)
    - New window tracking system breaks in the case where windows try to
      restack relative to destroyed windows that were never mapped
      (LP: #723014)
    - does not display icons until hovered (LP: #726033)
    - Unity Launcher has black spaces where icons should be (LP: #729353)
    - compiz crashed with SIGSEGV in sigc::internal::signal_emit0<void,
      sigc::nil>::emit() (LP: #729715)
    - compiz crashed with SIGSEGV in SimpleLauncherIcon::OnIconThemeChanged()
      (LP: #741652)
    - compiz crashed with SIGSEGV in free() (LP: #738864)
    - compiz crashed with SIGSEGV in g_closure_invoke() (LP: #741674)
    - compiz crashed with SIGSEGV in free() (LP: #742300)
    - Unity can't get touch the touch initialization signals from GEIS
      (LP: #742555)
    - Windows that reparent away from the root before they are mapped can
      cause other windows to become invisible (and compiz to crash)
      (LP: #743011)
    - compiz crashed with SIGSEGV in gdk_cairo_set_source_pixbuf()
      (LP: #744231)
    - [dash] Keyboard navigation not implemented as specified (LP: #608132)
    - xterms broken in unity (LP: #692463)
    - Unity opens application menu on Alt+F10 shortcut (LP: #722674)
    - First four items in Dash begin "Find" "Find" "Find" "Find" (LP: #729002)
    - Increase the size of the top left Launcher reveal area from 1px to a
      slightly larger triangle that comes out of the top left corner
      (LP: #736034)
    - Add a test case for invisible windows regressions (LP: #736876)
    - Re-sync with xquerytree to avoid stacking order issues (LP: #740465)
    - Keyboard navigation: quicklist not opening for Trash launcher item
      (LP: #741793)
    - Wrong window moves (LP: #741656)
    - compiz crashed with SIGSEGV in
      SimpleLauncherIcon::ActivateLauncherIcon() (LP: #742110)
    - Combo in the search bar did not disappear after the places was closed
      (LP: #742712)
    - Expo doesn't quit reliably when using keynav or shortcut (LP: #744196)
    - Make the BFB icon turn blue when an application goes urgent
      (LP: #744973)
    - Launcher - increase "launcher reveal %" for 'Fade and slide' launcher
      reveal transition to 65% (LP: #745602)
    - Arrows do not fade out with rest of launcher durring DND (LP: #746811)
    - Don't create windows over the launcher (LP: #688816)
    - Launcher - Indicate which application is currently focused with a
      glowing Launcher icon (LP: #676604)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - dynamic quicklists are not working (LP: #729074)
    - When windows open for the first time they should not hide the launcher
      (LP: #723878)
    - it is still possible to quit unity from the panel (LP: #733725)
    - Selection does not fit small icons in Unity Dash (LP: #735746)
    - Unmounting media gives no error when failed (LP: #737633)
    - ATI/fglrx workaround patch (LP: #740298)
    - "Files & Folders" tooltip say...

Read more...

Changed in unity (Ubuntu):
status: Confirmed → Fix Released
Didier Roche (didrocks) on 2011-04-04
Changed in unity:
milestone: 3.8.2 → 3.8.4
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4+bzr20110406-0ubuntu1

---------------
compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball
 -- Didier Roche <email address hidden> Wed, 06 Apr 2011 19:37:45 +0200

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Didier Roche (didrocks) on 2011-04-07
Changed in unity:
status: Fix Committed → Fix Released
Kevin Dalton (kevinmdalton) wrote :

I am using unity on a fresh install Ubuntu 12.04 with a dual monitor setup via the proprietary NVidia binary driver, and I can confirm that compiz grid still fails to properly detect the right edge (and only the right edge) of either display. I see that a fix has been committed for this bug in Compiz 0.9.4. However, it definitely still effects me in 2012 using Compiz version 0.9.7.6 from the ubuntu repos:
kmdalton@ishmael:~$ compiz --version
Compiz 0.9.7.6

Daniel van Vugt (vanvugt) wrote :

Kevin, this bug is Fix Released. Please log a new bug if you still have issues.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers